//
//  MainViewController.m
//  hw2
//
//  Created by slork on 1/18/10.
//  Copyright Stanford University 2010. All rights reserved.
//

#import "MainViewController.h"
#import "MainView.h"  


@implementation MainViewController

@synthesize glView;
@synthesize controller;


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}



 // Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
  [super viewDidLoad];
  
  [glView startAnimation];
  
  controller = [[FlipsideViewController alloc] initWithNibName:@"FlipsideView" bundle:nil];
  controller.delegate = self;
	controller.modalTransitionStyle = UIModalTransitionStyleFlipHorizontal;
}


- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller {
    
  
	[self dismissModalViewControllerAnimated:YES];
  [glView startAnimation];
}


- (IBAction)showInfo {    
  
  [glView stopAnimation];
	[self presentModalViewController:controller animated:YES];
}


- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
  [controller release];
  [super dealloc];
}

@end
