//
//  FlipsideViewController.h
//  hw2
//
//  Created by slork on 1/18/10.
//  Copyright Stanford University 2010. All rights reserved.
//

@protocol FlipsideViewControllerDelegate;


@interface FlipsideViewController :  UIViewController <UIPickerViewDelegate, UIPickerViewDataSource> {
	id <FlipsideViewControllerDelegate> delegate;
  UISlider *slider;
}

@property (nonatomic, assign) id <FlipsideViewControllerDelegate> delegate;
@property (nonatomic, retain) IBOutlet UISlider *slider;

- (IBAction)done;
- (IBAction)ReverbButtonPressed:(id)sender;
- (IBAction)ModulationButtonPressed:(id)sender;
- (IBAction)GlissandoButtonPressed:(id)sender;
- (IBAction)sliderMoved:(id)sender;

@end


@protocol FlipsideViewControllerDelegate
- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller;
@end

