/*
 *  GLUtils.h
 *  hw2
 *
 *  Created by Uri Nieto on 1/24/10.
 *  Copyright 2010 Stanford University. All rights reserved.
 *
 */

#ifndef __GLUTILS_H__
#define __GLUTILS_H__

#import <OpenGLES/ES1/gl.h>
#import <OpenGLES/ES1/glext.h>
#import "mo_gfx.h"

GLfloat degreesToRadian(CGFloat degrees);
CGFloat distanceBetweenPoints(CGPoint p1, CGPoint p2);
CGFloat distanceBetweenVectors(Vector3D v1, Vector3D v2);
CGPoint middlePoint(CGPoint p1, CGPoint p2);
CGFloat slopeBetweenPoints(CGPoint p1, CGPoint p2);
CGFloat computeAngle(CGFloat slope);
CGFloat computeAngle(CGFloat y, CGFloat x);
GLfloat rand2f( float a, float b );
CGFloat dotProduct(CGPoint p1, CGPoint p2);
CGFloat norm(CGPoint v);
CGPoint unit(CGPoint v);

#endif